Bug 189367 - After applying the yum updates as of 2006-04-18 rdesktop no longer works
After applying the yum updates as of 2006-04-18 rdesktop no longer works
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Carl Worth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 11:07 EDT by Andrew Rechenberg
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 09:48:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
All packages updated on 20060418 (4.58 KB, text/plain)
2006-04-19 11:07 EDT, Andrew Rechenberg
no flags Details

  None (edit)
Description Andrew Rechenberg 2006-04-19 11:07:54 EDT
Description of problem:
When trying to run rdekstop after applying yum updates yesterday, rdesktop
errors out with the following:

X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  78 (X_CreateColormap)
  Value in failed request:  0x0
  Serial number of failed request:  7
  Current serial number in output stream:  8


Version-Release number of selected component (if applicable):
rdesktop-1.4.1-3.2.1

How reproducible:
Everytime

Steps to Reproduce:
1. Make sure FC5 system is current as of 2006-04-18
2. Try to run rdesktop
3. Fails
  
Actual results:
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  78 (X_CreateColormap)
  Value in failed request:  0x0
  Serial number of failed request:  7
  Current serial number in output stream:  8

Expected results:
rdesktop window should appear

Additional info:
This issue may not be with rdesktop.  It may be with the xorg-x11-xserver.  I
will roll back my xorg-x11-xserver packages and see if the problem persists. 
But the rdesktop RPM may need to be rebuilt.
Comment 1 Andrew Rechenberg 2006-04-19 11:07:54 EDT
Created attachment 127988 [details]
All packages updated on 20060418
Comment 2 Andrew Rechenberg 2006-04-19 11:58:59 EDT
Tried rolling back the xorg updates and the libgnome and libgnomeui updates and
I'm still getting the error.
Comment 3 Andrew Rechenberg 2006-04-19 13:55:41 EDT
I have confirmed that rdesktop does work on a freshly installed FC5 system from
the DVD media.  I used yum -y install rdesktop after the initial install to
install rdesktop and everything works as expected.
Comment 4 Andrew Rechenberg 2006-04-21 09:48:59 EDT
Nevermind ... problem with my X installation.  I checked my laptop with updated
packages and it worked just find so I reinstalled all of my X packages and
drivers and now rdesktop works.  Resolving.

Note You need to log in before you can comment on or make changes to this bug.